<?
include 'connect.php';
if(isset($u['id'])){
refresh_friends($u['id']);
$f = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user` = '".$u['id']."'"), 0);
$fo = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user` = '".$u['id']."' and `online` > '".(time()-$system['online_time'])."'"), 0);
}
if($u['ban'] > time()){
header ("Location: page.php");
}

switch ($_GET['act']) {

//Добавление заявки ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'adding':

//Только для авторизованных
if($u['id']){

//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req) and $id != $u['id']) {
   $user = mysql_fetch_assoc($req);
   }
}

//Если кто то выбрался
if(isset($user['id'])){
include 'head.php';
//Подзаголовок
if($u['id'])
echo '<div class="title"><img src="img/friends.gif"> Друзья</div>';
else
echo '<div class="title"><img src="img/friends.gif"> Друзья</div>';
//Заголовок раздела
   echo '<div class="subtitle">';
echo '<a href = "friends.php">Все ('.$f.')</a> | <a href = "friends.php?act=online">Онлайн ('.$fo.')</a>'; if($fa){ echo ' | <a href = "friends.php?act=adding_list">Заявки ('.$fa.')</a>';}
echo '</div>';
echo '<div class="padding">';
   //Проверяем не друг ли
   $req = mysql_query("SELECT * FROM `friends` WHERE `user` = '".$u['id']."' and friend = '".$user['id']."' LIMIT 1");
   if(mysql_num_rows($req)){
   echo 'Пользователь <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> уже является Вашим другом!';
   } else {
      //Проверяем его в заявках
	  $req = mysql_query("SELECT * FROM `friends_adding` WHERE (`user` = '".$u['id']."' and friend = '".$user['id']."') OR (user = '".$user['id']."' and `friend` = '".$u['id']."') LIMIT 1");
      if(mysql_num_rows($req)){
	  $friend = mysql_fetch_assoc($req);
	     //Если заявка встречная направляем сразу в принятие заявки
	     if($friend['friend'] == $u['id']){
		 header ("Location: friends.php?act=adding_list&add='".$user['id']."'");
		 } else {
		 echo 'Заявка пользователю <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> уже была отправлена ранее!';
		 }
	  } else {
	  if (isset($_POST['submit'])) {
      $message = check(substr($_POST['message'], 0, 250));
      mysql_query("INSERT INTO `friends_adding` SET
      `user` = '".$u['id']."',
	  `friend` = '".$user['id']."',
	  `time` = '".time()."',
	  `message` = '$message'
      ");
	  //Записываем в журнал
   if($u['sex'] == 'm'){
   $action[0] = 'Предложил';
   $action[1] = 'его';   
   } else {
   $action[0] = 'Предложила';
   $action[1] = 'ее';
   }
   $text = $action[0].' Вам <a href = "friends.php?act=adding_list">дружбу</a>';
   mysql_query("INSERT INTO `jurnal` SET
   `user` = '".$user['id']."',
   `outuser` = '".$u['id']."',
   `text` = '$text',
   `time` = '".time()."',
   `new` = '1'
   ");
      echo 'Заявка пользователю <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> отправлена!';
      } else {
	  echo 'Добавляем пользователя <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a>:<br/>';
      echo '<form action="friends.php?act=adding&id='.$user['id'].'" method="post">';
      echo 'Сообщение<br/><textarea cols="20" rows="2" name="message">'.$text.'</textarea><br/>';
      echo '<input type="submit" name="submit" class="btn" value="Отправить" class="submit white"/>';
      echo '</form></div>';
      }
	  }
   }
echo '</div>';
include 'foot.php';
//Если никто не выбрался
} else {
header ("Location: index.php");
}

} else {
header ("Location: index.php");
}
break;

//Заявки, обработка ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'adding_list':
//Только для авторизованных
if($u['id']){
include 'head.php';
//Подзаголовок
if($u['id'])
echo '<div class="title"><img src="img/friends.gif"> Друзья</div>';
else
echo '<div class="title"><img src="img/friends.gif"> Друзья</div>';

//Заголовок раздела
echo '<div class="subtitle">';
echo '<a href = "friends.php">Друзья ('.$f.')</a> | <a href = "friends.php?act=online">Онлайн ('.$fo.')</a>'; if($fa){ echo ' | <a href = "friends.php?act=adding_list">Заявки ('.$fa.')</a>';}
echo '</div>';
echo '<div class="bigpadding">';

//Принять
if($_GET['add']){
$add = num($_GET['add']);
   $req = mysql_query("SELECT * FROM `friends_adding` WHERE `user` = '$add' and `friend` = '".$u['id']."' LIMIT 1");
   if (mysql_num_rows($req)) {
   $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '$add' LIMIT 1"));
   mysql_query("INSERT INTO `friends` SET
   `user` = '".$u['id']."',
   `friend` = '".$user['id']."',
   `time` = '".time()."'
   ");
   mysql_query("INSERT INTO `friends` SET
   `user` = '".$user['id']."',
   `friend` = '".$u['id']."',
   `time` = '".time()."'
   ");
   mysql_query("DELETE FROM `friends_adding` WHERE user = '".$user['id']. "' and `friend` = '".$u['id']."'");
   //Записываем в журнал
   if($u['sex'] == 'm'){
   $action[0] = 'Подтвердил';
   $action[1] = 'его';   
   } else {
   $action[0] = 'Подтвердила';
   $action[1] = 'ее';
   }
   $text = $action[0].' что Вы '.$action[1].' друг';
   mysql_query("INSERT INTO `jurnal` SET
   `user` = '".$user['id']."',
   `outuser` = '".$u['id']."',
   `text` = '$text',
   `time` = '".time()."',
   `new` = '1'
   ");
	
   echo '<div class = "action">Заявка от пользователя <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> принята!</div>';
   } else {
   
   }
}

//Отклонить
if($_GET['notadd']){
$notadd = num($_GET['notadd']);
   $req = mysql_query("SELECT * FROM `friends_adding` WHERE `user` = '$notadd' and `friend` = '".$u['id']."' LIMIT 1");
   if (mysql_num_rows($req)) {
   $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '$notadd' LIMIT 1"));
   mysql_query("DELETE FROM friends_adding WHERE user = '".$user['id']. "' and `friend` = '".$u['id']."'");
   echo '<div class = "action">Заявка от пользователя <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> отклонена!</div>';
   if($u['sex'] == 'm'){
   $action[0] = 'Отклонил';
   $action[1] = 'его';   
   } else {
   $action[0] = 'Отклонила';
   $action[1] = 'ее';
   }
   $text = $action[0].' ваше предложение дружбы</a>';
   mysql_query("INSERT INTO `jurnal` SET
   `user` = '".$user['id']."',
   `outuser` = '".$u['id']."',
   `text` = '$text',
   `time` = '".time()."',
   `new` = '1'
   ");   
} else {
   
   }
}
//Пользователей на страницу
if($u['setting_users_list']) $count = $u['setting_users_list']; else $count = 10;

$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends_adding` WHERE `friend` = '".$u['id']."'"), 0);
if($all > 0){
   $total = intval(($all - 1) / $count) + 1;
   $page = num($_GET['page']);
   if(empty($page) or $page < 0) $page = 1; 
   if($page > $total) $page = $total;
   $start = $page * $count - $count;
   $result = mysql_query("SELECT * FROM `friends_adding` WHERE `friend` = '".$u['id']."' ORDER BY `time` DESC LIMIT $start, $count");
      while($friend = mysql_fetch_assoc($result)){
	  $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$friend["user"]."'"));
	  $message = checkout($friend['message']);
	  //Вывод
	  echo $i % 2 ? '<div class="block2">' : '<div class="block1">';
	  echo '<table>
      <tr>
      <td>';
	  ava($user['id'],50);
	  echo '</td>
	  <td VALIGN=top>';
	  echo ''.ico($user['sex'],$user['admin']).' <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> '.online($user['online']).'';
	  echo '<br/><font color = "">';
	  echo ''.$message.'';
	  echo '</font><br/>';
	  echo '<a href = "friends.php?act=adding_list&add='.$user['id'].'">Принять</a> | <a href = "friends.php?act=adding_list&notadd='.$user['id'].'">Отклонить</a>';
	  echo '</td>
      </tr>
      </table>';
      echo '<hr>';
      echo '</div>';
	  $i++;
	  }
	  navigation($page, $total,'friends.php?act=adding_list&');
}else{
echo 'У Вас еще нет заявок в друзья!';
}
echo '</div>';
include 'foot.php';
} else {
header ("Location: index.php");
}
break;

//Удаление из друзей ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'delete':
//Только для авторизованных
if($u['id']){

//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `friends` WHERE `user` = '".$u['id']."' and friend = '".$id."' LIMIT 1");
   if (mysql_num_rows($req)) {
   $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1"));
   include 'head.php';
   //Подзаголовок
   if($u['id'])
   echo '<div class="title"><img src="img/friends.gif"> Друзья</div>';
   else
   echo '<div class="title"><img src="img/friends.gif"> Друзья</div>';

   //Заголовок раздела
   echo '<div class="subtitle">';
echo '<a href = "friends.php">Друзья ('.$f.')</a> | <a href = "friends.php?act=online">Онлайн ('.$fo.')</a>'; if($fa){ echo ' | <a href = "friends.php?act=adding_list">Заявки ('.$fa.')</a>';}
echo '</div>';
   echo '<div class="padding">';
   if (isset($_POST['submit'])) {
      mysql_query("DELETE FROM `friends` WHERE user = '".$u['id']. "' and `friend` = '".$user['id']."'");
	  mysql_query("DELETE FROM `friends` WHERE user = '".$user['id']. "' and `friend` = '".$u['id']."'");
      echo 'Пользователь <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> удален из списка Ваших друзей!';
   } else {
	  echo 'Вы действительно хотите удалить пользователя <a href = "page.php?id='.$user['id'].'"><b>'.$user['login'].'</b></a> из списка Ваших друзей?<br/>';
      echo '<form action="friends.php?act=delete&id='.$user['id'].'" method="post">';
      echo '<input type="submit" name="submit" class="btn" value="Да!" class="submit white"/>';
      echo '</form></div>';
   }
   echo '</div>';
   include 'foot.php';
   } else {
   header ("Location: friends.php");
   }
} else {
header ("Location: friends.php");
}
} else {
header ("Location: index.php");
}
break;

//Онлайн ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'online':

//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $user = mysql_fetch_assoc($req);
   } else {
   $id = $u['id'];
   }
} else {
$id = $u['id'];
}

if($id == 0){
header ("Location: index.php");
exit;
}

if($id == $u['id']) $zag = 'Мои друзья в онлайне';
else $zag = 'Друзья <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> в онлайне';


include 'head.php';
//Подзаголовок
if($u['id'])
echo '<div class="title"><img src="img/friends.gif"> '.$zag.'</div>';
else
echo '<div class="title"><img src="img/friends.gif"> '.$zag.'</div>';

if($id != $u['id']){
//Обновление данных друзей для сортировки вывода
$result = mysql_query("SELECT * FROM `friends` WHERE `user` = '".$id."'");
while ($friend = mysql_fetch_array($result)) {
$fri = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$friend["friend"]."'"));
mysql_query("UPDATE `friends` SET `online` = '".$fri['online']."' WHERE `user` = '".$id."' and `friend` = '".$friend['friend']."'");
}
//Подсчет
$f = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user` = '".$id."'"), 0);
$fo = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user` = '".$id."' and `online` > '".(time()-600)."'"), 0);
}

//Заголовок раздела
echo '<div class="subtitle">';
echo '<a href = "friends.php?id='.$id.'">Друзья ('.$f.')</a> | <b>Онлайн ('.$fo.')</b>'; if($id == $u['id'] and $fa){ echo ' | <a href = "friends.php?act=adding_list">Заявки ('.$fa.')</a>';}
echo '</div>';
echo '<div class="bigpadding">';

//Скрываем информацию **************************************************
   if($user['id'] != $u['id'] and $user['priv_friends']){
      //Друзьям
      if($user['priv_friends'] == 1) {
         if($myfriend) $access = true; else$access = false;
      }
      //Только себе
      if($user['priv_friends'] == 2) {
      $access = false;
      } 
   } else { $access = true; }
   
   if($access == true){

//Пользователей на страницу
if($u['setting_users_list']) $count = $u['setting_users_list']; else $count = 10;

$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user` = '".$id."' and `online` > '".(time()-600)."'"), 0);
if($all > 0){
   $total = intval(($all - 1) / $count) + 1;
   $page = num($_GET['page']);
   if(empty($page) or $page < 0) $page = 1; 
   if($page > $total) $page = $total;
   $start = $page * $count - $count;
   $result = mysql_query("SELECT * FROM `friends` WHERE `user` = '".$id."' and `online` > '".(time()-600)."' ORDER BY `active` DESC LIMIT $start, $count");
      while($friend = mysql_fetch_assoc($result)){
	  $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$friend["friend"]."'"));
	  echo $i % 2 ? '<div class="block2">' : '<div class="block1">';
	  echo '<table>
      <tr>
      <td VALIGN=top>';
	  ava($user['id'],50);
	  echo '</td>
	  <td VALIGN=top>';
	  echo ''.ico($user['sex'],$user['admin']).' <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> '.online($user['online']).'';
	  echo '<br/><font color = "">';
	  if($user['id'] != $u['id']){echo '<img src = "img/mail.gif"> <a href = "mail.php?act=write&id='.$user['id'].'">Сообщение</a><br/>';}
	  if($id == $u['id']){echo '<img src = "img/friends.gif"> <a href = "friends.php?act=delete&id='.$user['id'].'">Убрать из друзей</a><br/>';}
	  echo '</font><br/>';
	  echo '</td>
      </tr>
      </table>';
      echo '<hr>';
      echo '</div>';
	  $i++;
	  }
	  navigation($page, $total,'friends.php?');
}else{
echo '<div class = "notfound">Нет друзей онлайн!</div>';
}
   } else {
   echo '<div class = "action"> Пользователь ограничивает круг лиц, которые могут просматривать эту информацию. </div>';
   }
   
echo '</div>';
include 'foot.php';
break;

//Список друзей ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
default:

//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $user = mysql_fetch_assoc($req);
   } else {
   $id = $u['id'];
   }
} else {
$id = $u['id'];
}

if($id == 0){
header ("Location: index.php");
exit;
}

if($id == $u['id']) $zag = 'Мои друзья';
else $zag = 'Друзья <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a>';


include 'head.php';
//Подзаголовок
if($u['id'])
echo '<div class="title"><img src="img/friends.gif"> '.$zag.'</div>';
else
echo '<div class="title"><img src="img/friends.gif"> '.$zag.'</div>';

if($id != $u['id']){
//Подсчет
$f = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user` = '".$id."'"), 0);
$fo = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user` = '".$id."' and `online` > '".(time()-600)."'"), 0);
}

//Заголовок раздела
echo '<div class="subtitle">';
echo '<a href = "friends.php">Друзья ('.$f.')</a> | <a href = "friends.php?act=online">Онлайн ('.$fo.')</a>'; if($fa){ echo ' | <a href = "friends.php?act=adding_list">Заявки ('.$fa.')</a>';} echo '<br/><b>Удаление</b>';
   echo '</div>';
echo '<div class="bigpadding">';

//Скрываем информацию **************************************************
   if($user['id'] != $u['id'] and $user['priv_friends']){
      //Друзьям
      if($user['priv_friends'] == 1) {
         if($myfriend) $access = true; else$access = false;
      }
      //Только себе
      if($user['priv_friends'] == 2) {
      $access = false;
      } 
   } else { $access = true; }
   
   if($access == true){

//Пользователей на страницу
if($u['setting_users_list']) $count = $u['setting_users_list']; else $count = 10;

$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user` = '".$id."'"), 0);
if($all > 0){
   $total = intval(($all - 1) / $count) + 1;
   $page = num($_GET['page']);
   if(empty($page) or $page < 0) $page = 1; 
   if($page > $total) $page = $total;
   $start = $page * $count - $count;
   $result = mysql_query("SELECT * FROM `friends` WHERE `user` = '".$id."' ORDER BY `active` DESC LIMIT $start, $count");
      while($friend = mysql_fetch_assoc($result)){
	  $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$friend["friend"]."'"));
	  echo $i % 2 ? '<div class="block2">' : '<div class="block1">';
	  echo '<table>
      <tr>
      <td VALIGN=top>';
	  ava($user['id'],50);
	  echo '</td>
	  <td VALIGN=top>';
	  echo ''.ico($user['sex'],$user['admin']).' <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> '.online($user['online']).'';
	  echo '<br/><font color = "">';
	  if($user['id'] != $u['id']){echo '<img src = "img/mail.gif"> <a href = "mail.php?act=write&id='.$user['id'].'">Сообщение</a><br/>';}
	  if($id == $u['id']){echo '<img src = "img/friends.gif"> <a href = "friends.php?act=delete&id='.$user['id'].'">Убрать из друзей</a><br/>';}
	  echo '</font><br/>';
	  echo '</td>
      </tr>
      </table>';
      echo '<hr>';
      echo '</div>';
	  $i++;
	  }
	  navigation($page, $total,'friends.php?id='.$id.'&');
}else{
echo '<div class = "notfound">У Вас еще нет друзей!</div>';
}
   } else {
   echo '<div class = "action"> Пользователь ограничивает круг лиц, которые могут просматривать эту информацию. </div>';
   }
echo '</div>';
include 'foot.php';
break;
}
?>